package de.ivu.elect.business.dokumente.control;

import javax.ejb.Stateless;
import javax.enterprise.inject.Specializes;
import java.util.concurrent.TimeUnit;

@Specializes
@Stateless
public class NlOpenOfficeKonfigurationFactory extends OpenOfficeKonfigurationFactory {
  private static final long serialVersionUID = 1L;
  public static final long NO_TIMEOUT = TimeUnit.HOURS.toMillis(3); // ELECTVAPP-2371

  @Override
  protected long getTaskQueueTimeoutInMs() {
    return NO_TIMEOUT;
  }

  @Override
  protected long getTaskExecutionTimeoutInMs() {
    return NO_TIMEOUT;
  }

  @Override
  protected long getProcessRetryIntervalnMs() {
    return 2000;
  }

  @Override
  protected long getProcessTimeoutInMs() {
    return NO_TIMEOUT;
  }

}
